
.navbar {
    display: None;
    padding: 1.5em 0;
    margin: auto;
    position: fixed; 
    top: 0;
    width: 100%;
    z-index: 1000; /* Ensures the navbar is above other content */
    font-size: 1.3rem;
    letter-spacing: 0.2rem;
    transition: .5s;
    background-color: rgb(99, 77, 67, 0.0);
}

.arrow {
    font-size: 4rem;
    transition: transform 1s ease;
}

.has-sub-menu.active .arrow {
    transform: rotate(180deg);
}

.has-sub-menu {
    cursor: pointer;
    position: relative;
}

.outer-outer-sub-menu {
    position: relative;
}

.outer-sub-menu {
    position: absolute;
    top: -180px;
    opacity: 0;
    width: 100%;
    transition: opacity 1s ease;
}

.outer-sub-menu.active  {
    top: 40px;
    opacity: 1;
}


.sub-menu {
    opacity: 1;
    display: flex;
    gap: .5rem;
    width: 8rem;
    height: 6rem;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding-left: 1rem;
    transition: 1s;
    border-radius: 5px;
    background: rgb(28, 57, 61, 0);
    box-shadow: 0 .2vw 1vw 0 rgba(0, 0, 0, 0.2);
}

.sub-menu ul {
    list-style: none;
    margin-left: 0;
    padding-left: 0;
    width: 100%;
    text-align: left;
}

.sub-menu li {
    padding-left: 3rem;
    text-align: left;
    width: 100%;
}

.sub-menu .nav-item {
    font-size: 1rem;
    letter-spacing: .1rem;
    font-weight: bolder;
    text-align: left;
    display: block;
    width: 100%;
}


.navbar.slidedown {
    animation: slidedown 1s ease-in 1s 1 alternate both;
    box-shadow: 0 .2vw 1vw 0 rgba(0, 0, 0, 0.2);
    background-color: rgb(252, 250, 238);
    padding: 0.6rem 0rem;
    transition: 1s;
    backdrop-filter: blur(3px);
}


.navbar ul {
    list-style: none;
    margin: auto;
    padding: 0;
    display: flex;
    align-items: center;
}

.navbar ul li {
    margin: 0 3vw;
    width: 100%;
}

.nav-item {
    position: relative;
    text-decoration: none;
    font-weight: bolder;
    color: whitesmoke;
}

.arrow {
    margin: 0;
    padding: 0;
}

.nav-item:hover {
    opacity: 0.5;
    transition: .8s;
}


.navbar .fa-instagram {
    padding: 0px 5vw;
    font-size: 1.1rem;
    text-align: center;
    text-decoration: none;
  }
  
/* Add a hover effect if you want */
.navbar .fa:hover {
    opacity: 0.5;
    transition: .8s;
}
  

.navbar .ig-large {
    color: whitesmoke;
    font-size: 1.5rem;
}

@media screen and (min-width: 720px) {
    .navbar {
        display: block;
    }
}
